Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bibliography
Class BiblioPerson

    java.lang.Object
      org.biojava.bibliography.BiblioProvider
          org.biojava.bibliography.BiblioPerson

    public class BiblioPerson

extends BiblioProvider

It represents a person dealing with the bibliographic resources.

Since:
  1.3
Version:
  $Id: BiblioPerson.java 2812 2003-07-16 16:01:11Z mrp $
Author:
  Martin Senger

Field Summary
`String` | `affiliation` Their affiliation.
`String` | `email` Their e-mail address.
`String` | `firstName` The person's christian name (first name).
`String` | `midInitials` Any middle innitials.
`String` | `postalAddress` Their postal address.
`String` | `surname` The person's sirname (family name).

Fields inherited from class org.biojava.bibliography.BiblioProvider
`properties`

Constructor Summary
`BiblioPerson()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### surname

    public String surname

  The person's sirname (family name).

### firstName

    public String firstName

  The person's christian name (first name).

### midInitials

    public String midInitials

  Any middle innitials.

### email

    public String email

  Their e-mail address.

### postalAddress

    public String postalAddress

  Their postal address.

### affiliation

    public String affiliation

  Their affiliation.

Constructor Detail

### BiblioPerson

    public BiblioPerson()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD